# generated by cabal-rpm-2.0.8
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

Name:           fbrnch
Version:        0.7.1
Release:        2%{?dist}
Summary:        Fedora packager tool to build package branches

# libs/bodhi-hs, libs/pdc-hs: MIT
# libs/copr, libs/fedora-dists: GPLv3+
# fbrnch, libs/koji-hs, libs/pagure-hs: GPLv2+
License:        GPLv2+ and MIT and GPLv3+
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-base-devel
#BuildRequires:  ghc-bodhi-internal-devel
BuildRequires:  ghc-bugzilla-redhat-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-config-ini-devel
#BuildRequires:  ghc-copr-internal-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-email-validate-devel
BuildRequires:  ghc-extra-devel
#BuildRequires:  ghc-fedora-dists-internal-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haxr-devel
BuildRequires:  ghc-http-conduit-devel
BuildRequires:  ghc-http-directory-devel
BuildRequires:  ghc-http-query-devel
#BuildRequires:  ghc-koji-internal-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-lens-aeson-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-optparse-applicative-devel
#BuildRequires:  ghc-pagure-internal-devel
#BuildRequires:  ghc-pdc-internal-devel
BuildRequires:  ghc-pretty-terminal-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpmbuild-order-devel
BuildRequires:  ghc-simple-cmd-devel
BuildRequires:  ghc-simple-cmd-args-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-typed-process-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-xdg-basedir-devel
# End cabal-rpm deps
# manpage
BuildRequires:  help2man
Requires:       bodhi-client
Requires:       copr-cli
Requires:       curl
Requires:       fedpkg
Requires:       git-core
Requires:       koji
Requires:       krb5-workstation
Requires:       openssh-clients
Requires:       rpm-build
Requires:       rpmdevtools

%description
Fbrnch is a convenient packaging tool for Fedora Packagers, with integration
for Bugzilla, Koji, and Bodhi.

Features include:
- merging and building a package across release branches
- automatic parallel builds of sets of packages in dependency order
- creating, updating and listing one's package reviews
- requesting repos for new approved packages and branch requests
- import srpms from package reviews
- progressive copr builds
- and many more commands.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{_datadir}/bash-completion/completions/%{name}
# End cabal-rpm install

help2man --no-info %{buildroot}%{_bindir}/%{name} > %{name}.man
install -pm 644 -D %{name}.man %{buildroot}%{_mandir}/man1/%{name}.1

# remove internal libs
rm -r %{buildroot}%{_libdir}

for i in libs/*; do
cp -p $i/LICENSE LICENSE.$(basename $i)
done


%files
# Begin cabal-rpm files:
%license LICENSE*
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
# End cabal-rpm files
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Feb 10 2021 Jens Petersen <petersen@redhat.com> - 0.7.1-2
- add license files for internal libs

* Tue Feb  9 2021 Jens Petersen <petersen@redhat.com> - 0.7.1-1
- spec file generated by cabal-rpm-2.0.8
